curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/bulk/transactions/{walletAddress}/{timeBucket}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/bulk/transactions/{walletAddress}/{timeBucket}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/bulk/transactions/{walletAddress}/{timeBucket}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"quote_currency": "<string>",
"chain_id": 123,
"chain_name": "<string>",
"chain_tip_height": 123,
"chain_tip_signed_at": "2023-11-07T05:31:56Z",
"complete": true,
"current_bucket": 123,
"links": {
"prev": "<string>",
"next": "<string>"
},
"items": [
{
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"block_hash": "<string>",
"tx_hash": "<string>",
"tx_offset": 123,
"successful": true,
"from_address": "<string>",
"miner_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"value_quote": 123,
"pretty_value_quote": "<string>",
"gas_metadata": {
"contract_decimals": 123,
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"logo_url": "<string>"
},
"gas_offered": 123,
"gas_spent": 123,
"gas_price": 123,
"fees_paid": "<string>",
"gas_quote": 123,
"pretty_gas_quote": "<string>",
"gas_quote_rate": 123,
"explorers": [
{
"label": "<string>",
"url": "<string>"
}
],
"log_events": [
{
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"tx_offset": 123,
"log_offset": 123,
"tx_hash": "<string>",
"raw_log_topics": [
"<string>"
],
"sender_contract_decimals": 123,
"sender_name": "<string>",
"sender_contract_ticker_symbol": "<string>",
"sender_address": "<string>",
"sender_logo_url": "<string>",
"supports_erc": [
"<string>"
],
"sender_factory_address": "<string>",
"raw_log_data": "<string>",
"decoded": {
"name": "<string>",
"signature": "<string>",
"params": [
{
"name": "<string>",
"type": "<string>",
"indexed": true,
"decoded": true,
"value": "<string>"
}
]
}
}
],
"internal_transfers": [
{
"from_address": "<string>",
"to_address": "<string>",
"value": "<string>",
"gas_limit": 123
}
]
}
]
}Get bulk time bucket transactions for address (v3)
Commonly used to fetch all transactions including their decoded log events in a 15-minute time bucket interval.
Credit Cost
Processing
200 and no data cost 0.1 credits.Enabling no-logs reduces request cost to 0.05 credits/item.Related guides
Related guides
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Path Parameters
The chain name eg: eth-mainnet.
The requested address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
The 0-indexed 15-minute time bucket. E.g. 27 Feb 2023 05:23 GMT = 1677475383 (Unix time). 1677475383/900=1863861 timeBucket.
Query Parameters
The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.
Omit log events.
Response
Successful response
The requested address.
The timestamp when the response was generated. Useful to show data staleness to users.
The requested quote currency eg: USD.
The requested chain ID eg: 1.
The requested chain name eg: eth-mainnet.
The latest block height of the blockchain at the time this response was provided.
The timestamp of the latest signed block at the time this response was provided.
The current bucket of the response.
Show child attributes
Show child attributes
List of response items.
Show child attributes
Show child attributes